package com.ylx.massage.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 区域数据(Area)表实体类
 *
 * @author makejava
 * @since 2024-07-01 09:22:27
 */
@Setter
@Getter

@ApiModel(value = "Area" ,description = "行政区划")
@SuppressWarnings("serial")
public class Area extends Model<Area> {
    //主键
    @ApiModelProperty("主键")
    private Long id;
    //编码
    @ApiModelProperty("编码")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 父级编码，0为顶级
     */
    @ApiModelProperty("父级编码，0为顶级")
    private String parentCode;

    /**
     * 数据层级
     */
    @ApiModelProperty("数据层级")
    private Integer level;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

